using IRaCIS.Core.Application.Service.Reading.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Interface
{
	public interface IClinicalAnswerService
	{
		Task<IResponseOutput> CRCSignClinicalData(CRCSignClinicalDataInDto inDto);

         Task AutoAddCRCClinical(AutoAddClinicalInDto inDto);

        Task<IResponseOutput> PMConfirmClinical(CRCConfirmClinicalInDto inDto);

        Task<IResponseOutput> SubmitClinicalForm(SubmitClinicalFormInDto inDto);

        Task<IResponseOutput> CRCConfirmClinical(CRCConfirmClinicalInDto inDto);

        Task<IResponseOutput> CRCCancelConfirmClinical(CRCCancelConfirmClinicalInDto inDto);

    }
}
